:root  {
    --colourHue: 180;
    --borderOpacity: 0;
    --speedSize: 3vw;
}

* {
    box-sizing: border-box;
}

body {
    margin: 0;
    padding: 0;
    background-color: hsl(165, 60%, 70%);
}

.top-bar {
    position: absolute;
    width: 100%;
    height: 10vh;
    margin: 0;
    top: 0vh;
    display: flex;
    justify-content: space-between;  
    align-items: center; 
    background-color: hsl(270, 50%, 70%);
    z-index: 2;
}

.heading {
    position: absolute;
    top: .5%;
    right: 50%;
    transform: translateX(50%);
    z-index: 3;
    align-items: center;
    overflow: hidden;
}

#heading {
    text-align: center;
    width: 9vh; 
    background: none !important;
    box-shadow: none !important;
    height: 9vh;
}

.top-bar button {
    font-size: 1.5vw;  
    width: 3.5vw;  
    height: 3.5vw; 
    justify-content: flex-start;  
    align-items: center; 
    padding: 0;  
    margin-right: 1vw;
    margin-left: 1vw;
    cursor: pointer;
    border: .2vw solid hsl(0, 0%, 0%);
    border-radius: 1vw;
    background-color: hsl(165, 60%, 80%);
    transition: background-color 0.3s ease, transform 0.2s ease;
}

.top-bar button:hover {
    background-color: hsl(165, 60%, 75%);
    transform: scale(1.05);
} 

.paragraph  {
    position: absolute;
    bottom: 2vh;
    left: 2vh;
    max-width: 28vw;
    height: auto;
    font-size: 1.7vw;
    padding: 2vh;
    text-align: left;
    border: .4vh solid hsl(0, 0%, 0%);
    border-radius: 2vh;
}

#paragraph {
    position: absolute;
    bottom: 2vh;
    right: 2vh;
    max-width: 28vw;
    height: auto;
    font-size: 1.7vw;
    padding: 2vh;
    text-align: left;
    border: .4vh solid hsla(0, 0%, 0%, var(--borderOpacity));
    border-radius: 2vh;
}

.controllers {
    position: absolute;
    top: 10vh;
    right: 50%;
    transform: translateX(50%);
    margin-top: 2vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 2vh;
    z-index: 3;
}

.controllers .size-controllers,
.controllers .speed-controllers,
.controllers .colour-controllers {
    background-color: hsl(165, 60%, 60%);
    width: 40vw;
    height: 20vh;
    position: relative;
    align-items: center;
    justify-content: center;
    border: 5px double hsl(0, 0%, 0%);
    border-radius: 1rem;
}

.colour-preview {
    position: absolute;
    top: 50%;
    right: 15%;
    transform: translate(50%, -50%);
    background-color: hsl(var(--colourHue), 100%, 50%);
    height: 3rem;
    width: 3rem;
    border: .5rem double hsl(var(--colourHue), 100%, 30%);
    border-radius: 1rem;
}

.controllers .volume-controllers {
    background-color: hsl(165, 60%, 60%);
    width: 40vw;
    height: 20vh;
    position: relative;
    align-items: center;
    justify-content: center;
    border: 5px double hsl(0, 0%, 0%);
    border-radius: 1rem;
}

.controllers .speed-controllers::before,
.controllers  .size-controllers::before,
.controllers .colour-controllers::before {
    content: attr(data-label);
    position: relative;
    top: .5rem;
    left: .5rem;
    font-size: 1rem;
    margin: .2rem;
}

.controllers .size-controllers #size-display,
.controllers .speed-controllers #speed-display,
.controllers .colour-controllers #colour-display {
    font-size: 3vw;
    font-weight: bold;
    position: absolute;
    text-align: center;
    top: 50%;
    right: 50%;
    transform: translate(+50%, -50%);
}

.controllers .speed-controllers #speed-display {
    font-size: var(--speedSize) !important;
}

.arrow-button {
    background-color: hsl(165, 60%, 60%);
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    border: 0;
    font-size: 2.4vw;
    margin: 0 10px;
    cursor: pointer;
}

.arrow-button:hover {
    font-weight: bold;
}

#size-left,
#speed-left,
#colour-left {
    left: 10vw;
}

#size-right,
#speed-right,
#colour-right {
    right: 10vw;
}

span {
    font-size: 1.2rem;
    font-weight: bold;
}

input[type="range"] {
    -webkit-appearance: none;
    appearance: none;
    position: absolute;
    top: 50%;
    right: 50%;
    transform: translate(50%, -50%);
    width: 90%;
    height: 5%;
    background-color: hsl(165, 60%, 80%);
    border-radius: 10px;
    outline: 2px solid hsl(270, 40%, 60%);
    cursor: pointer;
    
}

input[type="range"]:hover {
    background-color: hsl(165, 60%, 75%);
}

input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 2.5vh;
    height: 2.5vh;
    border-radius: 50%;
    cursor: pointer;
    border: 1vh solid hsl(270, 40%, 60%);}

#sliderValue {
    position: absolute;
    top: 80%;
    right: 50%;
    transform: translate(50%, -50%);
    font-size: 1rem;
    margin: .25rem;
}

.volume-controllers #volume-graphic {
    position: relative;
    top: .5rem;
    left: .5rem;
    font-size: 1rem;
    margin: .2rem;
}

#heading {
    margin: auto;
    max-width: 20vw;
    background-color: hsl(270, 60%, 80%);
    font-size: 3rem;
    text-align: center;
}


